Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1094057 - Review Request: libes - Managing an entity system in C++
Summary: Review Request: libes - Managing an entity system in C++
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1094056 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-05-04 19:18 UTC by Pierre Marijon
Modified: 2017-08-13 09:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-13 09:32:27 UTC


Attachments (Terms of Use)

Description Pierre Marijon 2014-05-04 19:18:28 UTC
Spec URL: http://static.pierre.marijon.fr/rpm/libes/libes.spec

SRPM URL: http://static.pierre.marijon.fr/rpm/libes/libes-0.5.2-0.1.fc20.src.rpm
Description: Libes (Library Entity System), is an library for managing an entity system written in C++. For more info of Entity System Paradigme you can see http://entity-systems.wikidot.com/ .

Fedora Account System Username: natir

Comment 1 Pierre Marijon 2014-05-04 19:21:17 UTC
*** Bug 1094056 has been marked as a duplicate of this bug. ***

Comment 2 Pierre Marijon 2014-05-04 19:29:51 UTC
It's my first package and i need a sponsor (yes i read too fast the wiki).
 
* Upstream project page : https://github.com/jube/libes
* Koji result http://koji.fedoraproject.org/koji/taskinfo?taskID=6812591

Comment 3 Michael Schwendt 2014-05-04 19:51:51 UTC
* https://fedoraproject.org/wiki/Package_Review_Process#Contributor

* https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

* Please enter your full name in the bugzilla account preferences.

* Consider running "fedora-review -b 1094057" to point that tool at this ticket for many helpful checks.


> %package        doc
> Summary:        Documentation files for %{name}
> Requires:       %{name}%{?_isa} = %{version}-%{release}

Is that -doc subpackage really arch-specific? It contains HTML documentation. "BuildArch: noarch" sounds plausible.

For reading the HTML documentation one does not need to install the base library package. Please don't add such a dependency to _independent_ -doc packages. If the documentation can only be displayed with a program in the base package, that would be an example of a case when to add such a dep.

In case you added the dep only for the license and directories included in the base package, consider duplicating the license file and dirs in the -doc package instead.


> %files
> %{_libdir}/*.so
> %dir %{_defaultdocdir}/es
> %doc %{_defaultdocdir}/es/COPYING

Uh, that's odd.

If the package is named "libes", it ought to store doc files in a directory named "libes" not "es".

Btw, in spec files you can use %_docdir just fine, and files below /usr/share/doc are marked as %doc implicitly (see "rpm -E %__docdir_path").

Comment 5 Michael Schwendt 2014-05-05 20:49:41 UTC
> http://static.pierre.marijon.fr/rpm/libes/review.txt.0.2

The tool has found an issue with your package. ;-)

Comment 6 Pierre Marijon 2014-05-08 17:47:30 UTC
Ok upstream add patch for documentation installation.

Spec URL: http://static.pierre.marijon.fr/rpm/libes/libes.spec
SRPM URL: http://static.pierre.marijon.fr/rpm/libes/libes-0.5.3-0.1.fc20.src.rpm

local fedora-review (i check all is ok) : http://static.pierre.marijon.fr/rpm/libes/review.txt.0.5.3-0.1
koji link : http://koji.fedoraproject.org/koji/taskinfo?taskID=6826185

Comment 7 Jonathan Wakely 2015-03-06 14:25:28 UTC
  Summary:        Library for managing an entity system written in c++

C++ should be capitalized. I would expect Entity System to be capitalized too if it's a technical term


  %description
  If you do not know what an entity system is, you should read the following
  http://entity-systems.wikidot.com

This doesn't look like a very good description for the package! The link describes it as "Component/Entity System" which is a better (less generic) name.  Wikipedia uses Entity-component system: https://en.wikipedia.org/wiki/Entity_component_system

Comment 8 Michael Schwendt 2017-08-13 09:32:27 UTC
404 not found and several years without activity


Note You need to log in before you can comment on or make changes to this bug.